/*------------------------------------*\
  #Generic
\*------------------------------------*/
*  {
	box-sizing: border-box;
}

html {
	
}
body {
	font-size: $normal_font_size;
	font-family: $normal_font_family;
	color: $normal_font_color;
	width: 100vw;
	position: relative;
}
a {
	color: $normal_font_color;
	text-decoration: none;
	&:focus, &:hover {
		text-decoration: none;
		color: $normal_font_color;
	}
}
ul {
	list-style: none;
	padding: 0;
	margin: 0;
}
figure {
	margin: 0;
}
img {
	max-width: 100%;
}
select {
	border: solid 1px #888;
	border-radius: 0;
	padding: 1px 0 3px;
}
input[type="text"], input[type="password"], input[type="email"], input[type="tel"] {
	border: solid 1px #aaa;
}

.msg_icon {
	background-image: url(../images/sprite.png);
	background-repeat: no-repeat;
	// background-size: auto 100%;
}
.pageWrap {
	padding: #{$header_height + 15px} 15px #{$footer_height + $pagefooter_height + 15px};
	min-height: 100vh;
	overflow: scroll;
	position: relative;
}
.pageWrap_cover {
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100%;
	z-index: 5;
	background-color: rgba(0, 0, 0, 0.3);
	display: none;
	&.opened {
		display: block;
	}
}
.banner {
	margin: 0 0 15px;
	img {
		width: 100%;
	}
}
.addFav {
	color: #ed1e79;
}
.pagination {
	padding: 15px 0 5px;
	text-align: center;
	li {
		display: inline-block;
		a {
			display: block;
			padding: 0 5px;
			border: solid 1px #555;
			color: #555;
			margin-bottom: 10px;
			&.curr {
				background-color: #ddd;
			}
			&.pagiNext {
				padding-right: 25px;
				background: url(../images/icons/DoubleChevronRight.png) no-repeat right center;
			}
			&.pagiPrev {
				padding-left: 25px;
				background: url(../images/icons/DoubleChevronLeft.png) no-repeat left center;
			}
		}
	}
}